Returns the plane of a rectangular light object.
Rhino.RectangularLightPlane (strObject)
strObject |
Required. String. The light object's identifier. |
Array |
The plane if successful. The elements of a plane array are as follows:
|
|||||||||||||||
|
Note, the X axis, Y axis, and Z axis have magnitude that indicate the extents of the rectangular light. |
|||||||||||||||
Null |
If not successful, or on error. |
Const rhObjectLight = 256
Dim strObject, arrPlane, dblLength, dblWidth
strObject = rhino.GetObject("Select a rectangular light", rhObjectLight)
If Rhino.IsRectangularLight(strObject) Then
arrPlane = Rhino.RectangularLightPlane(strObject)
If IsArray(arrPlane) Then
dblLength = Rhino.VectorLength( arrPlane(1) )
dblWidth = Rhino.VectorLength( arrPlane(2) )
Rhino.AddPlaneSurface arrPlane, dblLength, dblWidth
End If
End If